package cn.cecep.talroad.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @className: BMainMonitorPointOperationLog
 * @description: TODO 类描述 
 * @author: Mr.Yanghongtao
 * @date: 2023/04/28 17:22
 * @Company: Copyright© [2023/04/28 17:22] by [Mr.Yanghongtao]
 **/

/**
 * 监测点位管理操作日志表
 */
@ApiModel(value = "监测点位管理操作日志表",description = "监测点位管理操作日志表")
public class BMainMonitorPointOperationLog {
    /**
     * 主键标识
     */
    @ApiModelProperty(name = "logId",value = "主键标识")
    private String logId;

    /**
     * 操作时间
     */
    @ApiModelProperty(name = "operationTime",value = "操作时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date operationTime;

    /**
     * 在线监测点位名称
     */
    @ApiModelProperty(name = "monitoringPointName",value = "在线监测点位名称/无组织监测点位名称")
    private String monitoringPointName;

    /**
     * 修改前对应许可证排口名称
     */
    @ApiModelProperty(name = "beforeModifyName",value = "修改前对应许可证排口名称")
    private String beforeModifyName;

    /**
     * 修改前对应许可证排口编号
     */
    @ApiModelProperty(name = "beforeModifyCode",value = "修改前对应许可证排口编号/修改前无组织监测点位编号")
    private String beforeModifyCode;

    /**
     * 操作状态
     */
    @ApiModelProperty(name = "operationStatus",value = "操作状态")
    private String operationStatus;

    /**
     * 修改后对应许可证排口名称
     */
    @ApiModelProperty(name = "afterModifyName",value = "修改后对应许可证排口名称")
    private String afterModifyName;

    /**
     * 修改后对应许可证排口编号
     */
    @ApiModelProperty(name = "afterModifyCode",value = "修改后对应许可证排口编号/修改后无组织监测点位编号")
    private String afterModifyCode;

    /**
     * 操作人
     */
    @ApiModelProperty(name = "operator",value = "操作人")
    private String operator;

    /**
     * 1-废气有组织在线监测点位匹配｜2-废水在线监测点位匹配｜3废气无组织监测点位填报
     */
    @ApiModelProperty(name = "monitoringPointType",value = "1-废气有组织在线监测点位匹配｜2-废水在线监测点位匹配｜3废气无组织监测点位填报")
    private String monitoringPointType;

    /**
     * 企业ID
     */
    @ApiModelProperty(name = "factoryId",value = "企业ID")
    private String factoryId;

    public String getLogId() {
        return (logId != null) ? logId : "";
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public Date getOperationTime() {
        return operationTime;
    }

    public void setOperationTime(Date operationTime) {
        this.operationTime = operationTime;
    }

    public String getMonitoringPointName() {
        return (monitoringPointName != null) ? monitoringPointName : "";
    }

    public void setMonitoringPointName(String monitoringPointName) {
        this.monitoringPointName = monitoringPointName;
    }

    public String getBeforeModifyName() {
        return (beforeModifyName != null) ? beforeModifyName : "";
    }

    public void setBeforeModifyName(String beforeModifyName) {
        this.beforeModifyName = beforeModifyName;
    }

    public String getBeforeModifyCode() {
        return (beforeModifyCode != null) ? beforeModifyCode : "";
    }

    public void setBeforeModifyCode(String beforeModifyCode) {
        this.beforeModifyCode = beforeModifyCode;
    }

    public String getOperationStatus() {
        return (operationStatus != null) ? operationStatus : "";
    }

    public void setOperationStatus(String operationStatus) {
        this.operationStatus = operationStatus;
    }

    public String getAfterModifyName() {
        return (afterModifyName != null) ? afterModifyName : "";
    }

    public void setAfterModifyName(String afterModifyName) {
        this.afterModifyName = afterModifyName;
    }

    public String getAfterModifyCode() {
        return (afterModifyCode != null) ? afterModifyCode : "";
    }

    public void setAfterModifyCode(String afterModifyCode) {
        this.afterModifyCode = afterModifyCode;
    }

    public String getOperator() {
        return (operator != null) ? operator : "";
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getMonitoringPointType() {
        return (monitoringPointType != null) ? monitoringPointType : "";
    }

    public void setMonitoringPointType(String monitoringPointType) {
        this.monitoringPointType = monitoringPointType;
    }

    public String getFactoryId() {
        return (factoryId != null) ? factoryId : "";
    }

    public void setFactoryId(String factoryId) {
        this.factoryId = factoryId;
    }
}